メインコンテンツへスキップ
PATCH
/
api
/
v1
/
organizations
/
{organizationId}
/
services
/
{serviceId}
/
services
/
{serviceId}
/
contracts
/
{contractId}
Update a contract by ID
curl --request PATCH \
  --url https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/services/{serviceId}/services/{serviceId}/contracts/{contractId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Updated Monthly Contract",
  "workspaceId": 12345678,
  "dueDate": "2023-02-01T00:00:00.000Z",
  "repeatUnit": "months",
  "repeatValue": 2,
  "peopleIds": [
    1,
    2,
    3
  ],
  "note": "Updated contract notes"
}
'
import requests

url = "https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/services/{serviceId}/services/{serviceId}/contracts/{contractId}"

payload = {
"name": "Updated Monthly Contract",
"workspaceId": 12345678,
"dueDate": "2023-02-01T00:00:00.000Z",
"repeatUnit": "months",
"repeatValue": 2,
"peopleIds": [1, 2, 3],
"note": "Updated contract notes"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Updated Monthly Contract',
workspaceId: 12345678,
dueDate: '2023-02-01T00:00:00.000Z',
repeatUnit: 'months',
repeatValue: 2,
peopleIds: [1, 2, 3],
note: 'Updated contract notes'
})
};

fetch('https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/services/{serviceId}/services/{serviceId}/contracts/{contractId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 1,
  "name": "Monthly Contract",
  "serviceId": 123,
  "serviceName": "GitHub",
  "workspaceId": 456,
  "workspaceName": "Production Workspace",
  "dueDate": "2023-01-01T00:00:00.000Z",
  "nextDueDate": "2023-02-01T00:00:00.000Z",
  "note": "Contract notes"
}

承認

Authorization
string
header
必須

For authenticated requests, set the Authorization: Bearer your_api_key parameter in the header.
You can create and manage your API Keys by visiting the API Keys tab in the Settings page of your organization in Admina

パスパラメータ

organizationId
number
必須
serviceId
number
必須
contractId
number
必須

ボディ

application/json
name
string
:

"Updated Monthly Contract"

workspaceId
number | null
:

12345678

dueDate
string
:

"2023-02-01T00:00:00.000Z"

repeatUnit
enum<string>
利用可能なオプション:
months,
years
:

"months"

repeatValue
number
:

2

peopleIds
string[]
:
[1, 2, 3]
note
string
:

"Updated contract notes"

レスポンス

200 - application/json
id
number
必須
read-only
:

1

name
string
必須
read-only
:

"Monthly Contract"

serviceId
number
必須
read-only
:

123

serviceName
string
必須
read-only
:

"GitHub"

workspaceId
number | null
必須
read-only
:

456

workspaceName
string | null
必須
read-only
:

"Production Workspace"

dueDate
string<date-time>
必須
read-only
:

"2023-01-01T00:00:00.000Z"

nextDueDate
string<date-time> | null
必須
read-only
:

"2023-02-01T00:00:00.000Z"

note
string | null
必須
read-only
:

"Contract notes"

最終更新日 2026年7月14日